#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 stack
version:              2.9.1
visibility:           public
id:                   stack-2.9.1-FZ6sC7wKfzoCFwOx4d7EwX
key:                  stack-2.9.1-FZ6sC7wKfzoCFwOx4d7EwX
license:              BSD-3-Clause
maintainer:           manny@fpcomplete.com
author:               Commercial Haskell SIG
homepage:             http://haskellstack.org
synopsis:             The Haskell Tool Stack
description:
    Please see the documentation at <https://docs.haskellstack.org>
    for usage information.

    If building a '\''stack'\'' executable for distribution, please download the
    source code from <https://github.com/commercialhaskell/stack/releases>
    and build it using Stack itself in order to ensure identical behaviour
    to official binaries.  This package on Hackage is provided for convenience
    and bootstrapping purposes.

    Note that the API for the library is not currently stable, and may
    change significantly, even between minor releases. It is
    currently only intended for use by the executable.

category:             Development
abi:                  f0e06ecc05f721ee7bf29a570402b8da
exposed:              True
exposed-modules:
    Control.Concurrent.Execute Data.Attoparsec.Args
    Data.Attoparsec.Combinators Data.Attoparsec.Interpreter
    Data.Monoid.Map Network.HTTP.StackClient Options.Applicative.Args
    Options.Applicative.Builder.Extra Options.Applicative.Complicated
    Path.CheckInstall Path.Extra Path.Find Paths_stack Stack.Build
    Stack.Build.Cache Stack.Build.ConstructPlan Stack.Build.Execute
    Stack.Build.Haddock Stack.Build.Installed Stack.Build.Source
    Stack.Build.Target Stack.BuildPlan Stack.Clean Stack.Config
    Stack.Config.Build Stack.Config.Docker Stack.Config.Nix
    Stack.ConfigCmd Stack.Constants Stack.Constants.Config
    Stack.Coverage Stack.DefaultColorWhen Stack.Docker Stack.Dot
    Stack.FileWatch Stack.GhcPkg Stack.Ghci Stack.Ghci.Script
    Stack.Hoogle Stack.IDE Stack.Init Stack.List Stack.Lock Stack.Ls
    Stack.New Stack.Nix Stack.Options.BenchParser
    Stack.Options.BuildMonoidParser Stack.Options.BuildParser
    Stack.Options.CleanParser Stack.Options.Completion
    Stack.Options.ConfigParser Stack.Options.DockerParser
    Stack.Options.DotParser Stack.Options.ExecParser
    Stack.Options.GhcBuildParser Stack.Options.GhcVariantParser
    Stack.Options.GhciParser Stack.Options.GlobalParser
    Stack.Options.HaddockParser Stack.Options.HpcReportParser
    Stack.Options.LogLevelParser Stack.Options.NewParser
    Stack.Options.NixParser Stack.Options.PackageParser
    Stack.Options.ResolverParser Stack.Options.SDistParser
    Stack.Options.ScriptParser Stack.Options.TestParser
    Stack.Options.UploadParser Stack.Options.Utils Stack.Package
    Stack.PackageDump Stack.Path Stack.Prelude Stack.Runners
    Stack.SDist Stack.Script Stack.Setup Stack.Setup.Installed
    Stack.SetupCmd Stack.SourceMap Stack.Storage.Project
    Stack.Storage.User Stack.Storage.Util Stack.Types.Build
    Stack.Types.Compiler Stack.Types.CompilerBuild Stack.Types.Config
    Stack.Types.Config.Build Stack.Types.Docker Stack.Types.GhcPkgId
    Stack.Types.NamedComponent Stack.Types.Nix Stack.Types.Package
    Stack.Types.PackageName Stack.Types.Resolver Stack.Types.SourceMap
    Stack.Types.TemplateName Stack.Types.Version Stack.Unpack
    Stack.Upgrade Stack.Upload System.Info.ShortPathName
    System.Permissions System.Process.Pager System.Terminal

hidden-modules:       Path.Extended Stack.Types.Cache System.Uname
import-dirs:          /usr/lib/ghc-9.4.8/site-local/stack-2.9.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/stack-2.9.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/stack-2.9.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/stack
hs-libraries:         HSstack-2.9.1-FZ6sC7wKfzoCFwOx4d7EwX
depends:
    Cabal-3.8.1.0 aeson-2.1.2.1-CJUEk8Q0QXZ63rfmeHQCzY
    annotated-wl-pprint-0.7.0-Bbb9GOQJoVZEpSwInbNN3i
    ansi-terminal-1.0.2-6TxOAUbfOQrDbPnWIRhRhS array-0.5.4.0
    async-2.2.5-E5hpPP3Obp49M6sYRrKp7C
    attoparsec-0.14.4-HJXsa8cMY97Lp9qL0m21oG base-4.17.2.1
    base64-bytestring-1.2.1.0-1pYIvSyG2ld2DlYXfqdeXZ
    bytestring-0.11.5.3 casa-client-0.0.2-r9wOfwnrzl6t8pTdxvd8Z
    casa-types-0.0.2-3kUF5zSneog3pna9BWWqF
    colour-2.3.6-9rTtk69Pc3k5Ik3SUsZeCb
    conduit-1.3.6.1-t97EsPJ1aWGqkQHikR1p8
    conduit-extra-1.3.6-1V7vliRQJ7JLW9QugEAPr2 containers-0.6.7
    crypton-1.0.0-16haeL77tcL2BdZpDixsER
    crypton-conduit-0.2.3-A2pwKw8J34k3uf8BZn6xqi deepseq-1.4.8.0
    directory-1.3.7.1 echo-0.1.4-HrG6UGs9bUNIRHTRpjaAQ
    exceptions-0.10.5 extra-1.7.16-7rZ9EueKMST4kZaTeQHLxQ
    file-embed-0.0.15.0-7OnjuFj6gBM9fqBKJCVXdU
    filelock-0.1.1.7-JuTUL0KxDQZ6hqcLIYBTiE filepath-1.4.2.2
    fsnotify-0.3.0.1-ExSx7HkqAki7Nvs5VrWmou
    generic-deriving-1.14.5-65Kb0tH0E2yBjvm3qc82o8
    hackage-security-0.6.2.6-D2WZtj92Aya6pNIy5lN4yL
    hashable-1.4.4.0-LtdCyz5lRpSEDVfQGtCbHQ
    hi-file-parser-0.1.7.0-HeoSQ39aZyM3809ySsGLnh
    hpack-0.35.2-5UobCtzToue1Gb0EkC9xfX hpc-0.6.1.0
    http-client-0.7.18-FHhdytn5xYS9XZS4tP326d
    http-client-tls-0.3.6.4-3ApY1szHwQu9Wowklcak10
    http-conduit-2.3.9.1-FtGcndtAcIB6uWXGBX4QxM
    http-download-0.2.1.0-9xqSCcx5PiD6oAQTJAis00
    http-types-0.12.4-BDoys3Aesb9DkjEWopUdY6
    memory-0.18.0-1oHOZXUPjWrG0kImkORGvt
    microlens-0.4.13.1-BCmTOusOWAwKF1xfvNhRYd
    mintty-0.1.4-AuJ2EgpOQbhHDGkFzZNT4J
    mono-traversable-1.0.21.0-JdQFoeDMK4HH7C0rteNCTY mtl-2.2.2
    mustache-2.4.2-CAQs6H7rbT64Sf0q6pNfAr
    neat-interpolation-0.5.1.4-AZiHS5XPkWNJgXCp6CSA2S
    network-uri-2.6.4.2-BSIANA0b7f4FqAKAmElYJ
    open-browser-0.2.1.1-JxaFXLEqga6LFagqIfuNya
    optparse-applicative-0.17.1.0-4tPjpOfYmOi9nj8To0UB1j
    pantry-0.5.7-35AaG5ueupNANxSeZCSJm4
    path-0.9.5-6mirJoUDHqTAvqPl5yDc64
    path-io-1.8.2-Jt23u4tZ3uUIIitIy8BDtc
    persistent-2.14.5.1-LthgPlFTzyx5qJrQ5Iy5EF
    persistent-sqlite-2.13.1.0-I54IoILVA7d9M6GPDuE4Ow pretty-1.1.3.6
    primitive-0.8.0.0-AkaLl3oBd0zGZjVVLiSfZ process-1.6.18.0
    project-template-0.2.1.0-4LCP9YGjiO3lLvJ6G2aUE
    random-1.2.1.2-Cz5v09VeJop2IMLe7A0P8g
    retry-0.9.3.1-IfmVYMuGXuo9CqDeFn4nPG
    rio-0.1.22.0-CxXrBdx6wUg7DqJPcMaBG9
    rio-prettyprint-0.1.7.0-6ZjSLwfXmaHGCjo1155XA8
    split-0.2.5-4oYyCdOwbo5I1Zv7xTuLK stm-2.5.1.0
    streaming-commons-0.2.3.0-SnNRbbznicLNBFUP2ZVRF
    tar-0.5.1.1-3wIF9eZ80kfFOA0bfXjQ6M template-haskell-2.19.0.0
    temporary-1.3-JUVhwoWDOiuCRdoS5xxASS text-2.0.2
    text-metrics-0.3.2-APk9w9Fs6Nk5Z2JF20Qhmb
    th-reify-many-0.1.10-BgJCnJSeBcnEE5dYTUmjuF time-1.12.2
    tls-1.9.0-AS7bS9cnDanI9GCslDgQq2 transformers-0.5.6.2
    typed-process-0.2.12.0-GDPrd7rdNrLIxB4LCD9ASR
    unicode-transforms-0.4.0.1-2Q2AKXY1gYQBo0Gzfr3Iny unix-2.7.3
    unix-compat-0.7.3-8nUE2nFGsV44OIFeu9Z7aq
    unliftio-0.2.25.1-3TYsKBbvpsL9cJ4Fa6CEuq
    unordered-containers-0.2.20-4tF6VC1d0ODJ0H7AFNioZw
    vector-0.13.1.0-4yrO9MMzvlSAj3sbKvUmkp
    yaml-0.11.11.2-J3nFdto8KpKGOIN7s6Q1xf
    zip-archive-0.4.3.2-5FfTGAqH93A7DGBBUM0l54
    zlib-0.6.3.0-6peUynB0xzKG4lWqKpMccl

haddock-interfaces:   /usr/share/doc/stack/html/stack.haddock
haddock-html:         /usr/share/doc/stack/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

